Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::MatrixTransform Class Reference

MatrixTransform - is a subclass of Transform which has an osg::Matrix which represents a 4x4 transformation of its children from local coordinates into the Transform's parent coordinates. More...

Inheritance diagram for osg::MatrixTransform:

[legend]
List of all members.

## Public Member Functions
| MatrixTransform ()
| MatrixTransform (const MatrixTransform &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| MatrixTransform (const Matrix &matix)
| META_Node (osg, MatrixTransform)
virtual MatrixTransform * | asMatrixTransform ()
virtual const MatrixTransform * | asMatrixTransform () const
void | setMatrix (const Matrix &mat)
| Set the transform's matrix.
const Matrix & | getMatrix () const
| Get the matrix.
void | preMult (const Matrix &mat)
| pre multiply the transform's matrix.
void | postMult (const Matrix &mat)
| post multiply the transform's matrix.
const Matrix & | getInverseMatrix () const
| Get the inverse matrix.
virtual bool | computeLocalToWorldMatrix (Matrix &matrix, NodeVisitor *) const
virtual bool | computeWorldToLocalMatrix (Matrix &matrix, NodeVisitor *) const
## Protected Member Functions
virtual | ~MatrixTransform ()
## Protected Attributes
Matrix | _matrix
Matrix | _inverse
bool | _inverseDirty

## Detailed Description

MatrixTransform - is a subclass of Transform which has an osg::Matrix which represents a 4x4 transformation of its children from local coordinates into the Transform's parent coordinates.

## Constructor & Destructor Documentation

osg::MatrixTransform::MatrixTransform | ( |  | ) |

osg::MatrixTransform::MatrixTransform | ( | const MatrixTransform & | ,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) |

| Copy constructor using CopyOp to manage deep vs shallow copy.

osg::MatrixTransform::MatrixTransform | ( | const Matrix & | matix | ) |

virtual osg::MatrixTransform::~MatrixTransform | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual const MatrixTransform* osg::MatrixTransform::asMatrixTransform | ( |  | ) | const`[inline, virtual]`

| Reimplemented from osg::Transform.

virtual MatrixTransform* osg::MatrixTransform::asMatrixTransform | ( |  | ) | `[inline, virtual]`

| Reimplemented from osg::Transform.

virtual bool osg::MatrixTransform::computeLocalToWorldMatrix | ( | Matrix & | matrix,
|  | NodeVisitor * |
| ) | const`[virtual]`

| Reimplemented from osg::Transform.

virtual bool osg::MatrixTransform::computeWorldToLocalMatrix | ( | Matrix & | matrix,
|  | NodeVisitor * |
| ) | const`[virtual]`

| Reimplemented from osg::Transform.

const Matrix& osg::MatrixTransform::getInverseMatrix | ( |  | ) | const`[inline]`

| Get the inverse matrix.

const Matrix& osg::MatrixTransform::getMatrix | ( |  | ) | const`[inline]`

| Get the matrix.

osg::MatrixTransform::META_Node | ( | osg | ,
|  | MatrixTransform |
| ) |

void osg::MatrixTransform::postMult | ( | const Matrix & | mat | ) | `[inline]`

| post multiply the transform's matrix.

void osg::MatrixTransform::preMult | ( | const Matrix & | mat | ) | `[inline]`

| pre multiply the transform's matrix.

void osg::MatrixTransform::setMatrix | ( | const Matrix & | mat | ) | `[inline]`

| Set the transform's matrix.

## Member Data Documentation

Matrix osg::MatrixTransform::_inverse`[mutable, protected]`

bool osg::MatrixTransform::_inverseDirty`[mutable, protected]`

Matrix osg::MatrixTransform::_matrix`[protected]`

The documentation for this class was generated from the following file:

- MatrixTransform